%define oname vicious

Name:       awesome-plugin-%{oname}
Version:    2.1.0
Release:    %mkrel 2
Summary:    A modular widget library for the "awesome" window manager
License:    GPLv2
Group:      Graphical desktop/Other
URL:        https://awesome.naquadah.org/wiki/Vicious
Source0:    http://git.sysphere.org/vicious/snapshot/%{oname}-%{version}.tar.xz
Patch0:     %{oname}-2.0.0-Makefile.patch
BuildArch:  noarch

%description
Vicious is a modular widget library for the "awesome" window manager,
derived from the 'Wicked' widget library. It has some of the old
Wicked widget types, a few of them rewritten, and a good number of
new ones.

%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build

%install
rm -rf %buildroot
export datadir=%{_datadir}

make libdir=%{_datadir}/awesome/lib/ DESTDIR=%{buildroot} install

%files
%doc README CHANGES LICENSE TODO
%{_datadir}/awesome/lib/%{oname}/*.lua
%{_datadir}/awesome/lib/%{oname}/widgets/*


%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 2.1.0-2uplos2018
- rebuild
